Settle a run whose trials the caller ran
curl --request POST \
--url https://api.anpord.com/v1/evals.finishRun \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>"
}
'import requests
url = "https://api.anpord.com/v1/evals.finishRun"
payload = { "id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '<string>'})
};
fetch('https://api.anpord.com/v1/evals.finishRun', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cases": [
"<string>"
],
"cells": [
{
"caseName": "<string>",
"cellKey": "<string>",
"costs": {
"allocatedUsd": 123,
"components": [
{
"classification": "actual",
"component": "judge",
"detail": {},
"explanation": "<string>",
"source": "<string>",
"usd": 123
}
],
"estimatedEquivalentUsd": 123,
"incomplete": true,
"knownActualUsd": 123
},
"comparison": {
"baselineHarnessVersion": "<string>",
"baselinePassRate": 123,
"baselineProfileVersion": "<string>",
"candidateHarnessVersion": "<string>",
"candidatePassRate": 123,
"candidateProfileVersion": "<string>",
"delta": 123,
"determinismLost": true,
"reason": "<string>",
"verdict": "improved"
},
"distribution": {
"commandMax": 123,
"commandMedian": 123,
"commandMin": 123,
"deterministic": true,
"failed": 123,
"passRate": 123,
"passed": 123,
"scored": 123,
"trials": 123,
"voided": 123
},
"internalId": "<string>",
"setup": {
"prompt": "<string>",
"repoRef": "<string>",
"repoUrl": "<string>",
"prepareName": "<string>",
"validatorName": "<string>",
"verifyCommand": "<string>",
"workspace": "<string>",
"validatorFiles": [
{
"path": "<string>",
"content": "<string>"
}
]
},
"status": "running",
"taskIndex": 123,
"trials": [
{
"commands": 123,
"costs": {
"allocatedUsd": 123,
"components": [
{
"classification": "actual",
"component": "judge",
"detail": {},
"explanation": "<string>",
"source": "<string>",
"usd": 123
}
],
"estimatedEquivalentUsd": 123,
"incomplete": true,
"knownActualUsd": 123
},
"prepared": {},
"exitCode": 123,
"failedCommands": 123,
"filesChanged": [
"<string>"
],
"modelMs": 123,
"ordinal": 123,
"passed": true,
"sandboxId": "<string>",
"sandboxMs": 123,
"status": "queued",
"timed": true,
"trajectory": [
{
"_tag": "command",
"command": "<string>",
"exitCode": 123,
"finishedAtMillis": 123,
"output": "<string>",
"startedAtMillis": 123,
"outputTruncated": true
}
],
"usage": {
"cacheReadTokens": 123,
"cacheWriteTokens": 123,
"inputTokens": 123,
"outputTokens": 123,
"totalTokens": 123,
"costUsd": 123
},
"verifySteps": [
{
"command": "<string>",
"exitCode": 123
}
],
"voidFields": [
"<string>"
],
"artifacts": [
{
"path": "<string>",
"byteSize": 1,
"sha256": "<string>"
}
],
"validations": [
{
"id": "<string>",
"index": 1,
"name": "<string>",
"kind": "code",
"status": "queued",
"startedAt": 123,
"durationMs": 1,
"message": "<string>",
"exitCode": 123,
"truncated": true,
"input": {
"text": "<string>",
"format": "text",
"state": "captured",
"truncated": true
},
"output": {
"text": "<string>",
"format": "text",
"state": "captured",
"truncated": true
},
"error": {
"text": "<string>",
"format": "text",
"state": "captured",
"truncated": true
},
"calls": [
{
"index": 1,
"method": "answer",
"startedAt": 123,
"durationMs": 1,
"input": {
"text": "<string>",
"format": "text",
"state": "captured",
"truncated": true
},
"output": {
"text": "<string>",
"format": "text",
"state": "captured",
"truncated": true
},
"error": {
"text": "<string>",
"format": "text",
"state": "captured",
"truncated": true
}
}
],
"logs": [
{
"index": 1,
"at": 123,
"level": "stdout",
"value": {
"text": "<string>",
"format": "text",
"state": "captured",
"truncated": true
}
}
],
"judgment": {
"name": "<string>",
"model": "<string>",
"evaluator": "<string>",
"score": 0.5,
"choice": "<string>",
"reason": "<string>",
"threshold": 0.5,
"durationMs": 1,
"error": "<string>"
},
"metadata": {
"text": "<string>",
"format": "text",
"state": "captured",
"truncated": true
}
}
],
"judgments": [
{
"name": "<string>",
"model": "<string>",
"evaluator": "<string>",
"score": 0.5,
"choice": "<string>",
"reason": "<string>",
"threshold": 0.5,
"durationMs": 1,
"error": "<string>"
}
]
}
]
}
],
"costs": {
"allocatedUsd": 123,
"components": [
{
"classification": "actual",
"component": "judge",
"detail": {},
"explanation": "<string>",
"source": "<string>",
"usd": 123
}
],
"estimatedEquivalentUsd": 123,
"incomplete": true,
"knownActualUsd": 123
},
"failure": "<string>",
"finishedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"status": "running",
"tasks": [
{
"harness": "codex",
"harnessVersion": "<string>",
"model": "<string>",
"sandbox": "daytona",
"profile": {
"name": "<string>",
"version": "<string>"
}
}
],
"trigger": {
"source": "dashboard",
"url": "<string>"
},
"executedBy": "client"
}{
"issues": [
{
"_tag": "Pointer",
"path": [
"<string>"
],
"message": "<string>"
}
],
"message": "<string>",
"_tag": "HttpApiDecodeError"
}{
"message": "<string>",
"_tag": "Unauthorized"
}{
"message": "<string>",
"_tag": "Forbidden"
}{
"message": "<string>",
"_tag": "NotFound"
}{
"message": "<string>",
"_tag": "Conflict"
}Evals
Settle a run whose trials the caller ran
Settles the run from the trials reported so far. A run left unsettled is swept like any other abandoned work.
POST
/
v1
/
evals.finishRun
Settle a run whose trials the caller ran
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Select an eval run by id.
Response
A complete eval run with its cells and trials.
A complete eval run with its cells and trials.
Show child attributes
Show child attributes
Cost by component, kept apart by classification.
Show child attributes
Show child attributes
An ISO-8601 timestamp in UTC.
a string at most 100 character(s) long
Required string length:
1 - 100An ISO-8601 timestamp in UTC.
Available options:
running, finished, failed Show child attributes
Show child attributes
What started this run. Client-reported context, not authorization.
Show child attributes
Show child attributes
Available options:
client ⌘I